from calculate.templates.template_engine import TemplateEngine, DIR, Variables
from calculate.templates.template_processor import TemplateAction


main = Variables({'cl_template_path':
                  ('tests/templates/testfiles/template_dir_1,'
                   'tests/templates/testfiles/template_dir_2'),
                  'cl_chroot_path': '/'})


datavars = Variables({'main': main})


TemplateAction()
template_engine = TemplateEngine(datavars_module=datavars)

template_engine.process_template_from_string(
         "{% calculate package = 'dev-lang/python-3.6', action = 'install' %}",
         DIR)
template_engine.process_template_from_string(
         "{% calculate package = 'dev-lang/python-2.7', action = 'update' %}",
         DIR)
