import pytest
from calculate.vars.datavars import Namespace

@pytest.mark.vars
class TestNamespace:
    def test_init_empty_namespace(self):
        ns = Namespace(varPath=None)
        assert ns.varPath is None

    def test_init_default_path(self):
        ns = Namespace()
        assert ns.varPath.startswith("/usr/lib") and \
            ns.varPath.endswith("calculate/vars")
        
